> ## Documentation Index
> Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Services By EnvironmentId



## OpenAPI

````yaml /api-reference/openapi.yaml get /environment/{environmentId}/services
openapi: 3.0.0
info:
  version: 1.0.4
  title: Qovery API
  description: >
    - Qovery is the fastest way to deploy your full-stack apps on any Cloud
    provider.

    - ℹ️ The API is stable and still in development.
  contact:
    name: Qovery Product Team
    url: https://www.qovery.com
    email: support+api+documentation@qovery.com
  x-logo:
    url: https://console.qovery.com/assets/logos/logo-white.svg
    altText: Qovery
servers:
  - url: https://api.qovery.com
security:
  - bearerAuth: []
  - ApiKeyAuth: []
tags:
  - name: Account
  - name: Account Info
  - name: Alert Receivers
  - name: Alert Rules
  - name: Admin
  - name: ArgoCD
  - name: Application
  - name: Application Actions
  - name: Application Configuration
  - name: Application Database
  - name: Application Deployment Restriction
  - name: Application Deployment History
  - name: Application Environment Variable
  - name: Application Logs
  - name: Application Main Calls
  - name: Application Secret
  - name: Application Annotations Group
  - name: Applications
  - name: AutoscalingPolicy
  - name: Container
  - name: Container Actions
  - name: Container Configuration
  - name: Container Database
  - name: Container Deployment History
  - name: Container Environment Variable
  - name: Container Logs
  - name: Container Main Calls
  - name: Container Registry
  - name: Container Secret
  - name: Container Annotations Group
  - name: Containers
  - name: Deployment Stage Main Calls
  - name: Job
  - name: Job Actions
  - name: Job Configuration
  - name: Job Database
  - name: Job Deployment Restriction
  - name: Job Deployment History
  - name: Job Environment Variable
  - name: Job Logs
  - name: Job Main Calls
  - name: Job Registry
  - name: Job Secret
  - name: Job Annotations Group
  - name: Jobs
  - name: KedaTriggerAuthentication
  - name: Helm
  - name: Helm Actions
  - name: Helm Configuration
  - name: Helm Database
  - name: Helm Deployment Restriction
  - name: Helm Deployment History
  - name: Helm Logs
  - name: Helm Main Calls
  - name: Helm Repository
  - name: Helms
  - name: Backups
  - name: Billing
  - name: Cloud Provider
  - name: Cloud Provider Credentials
  - name: Clusters
  - name: Custom Domain
  - name: Container Custom Domain
  - name: Database
  - name: Database Actions
  - name: Database Application
  - name: Database Container
  - name: Database Deployment History
  - name: Database Main Calls
  - name: Database Annotations Group
  - name: Databases
  - name: Environment
  - name: Environment Actions
  - name: Environment Deployment History
  - name: Environment Deployment Rule
  - name: Environment Logs
  - name: Environment Main Calls
  - name: Environment Secret
  - name: Environment Variable
  - name: Environments
  - name: Git
  - name: Github App
  - name: Git repositories
  - name: Members
  - name: Organization
  - name: Organization Account Git Repositories
  - name: Organization Cluster Lock
  - name: Organization Main Calls
  - name: Organization Custom Role
  - name: Organization Event
  - name: Organization Api Token
  - name: Organization Webhook
  - name: Organization Annotations Group
  - name: Organization Labels Group
  - name: Organization Enterprise Connection
  - name: Project
  - name: Project Deployment Rule
  - name: Project Environment Variable
  - name: Project Main Calls
  - name: Project Secret
  - name: Projects
  - name: Referral & Rewards
  - name: Terraforms
  - name: Terraform Main Calls
  - name: Terraform Resources
  - name: Terraform Deployment History
  - name: Terraform Deployment Restriction
  - name: Container Registries
  - name: Helm Repositories
  - name: User Sign Up
  - name: Variable Main Calls
  - name: Helm Custom Domain
  - name: Lifecycle Template Main Calls
paths:
  /environment/{environmentId}/services:
    parameters:
      - schema:
          type: string
        name: environmentId
        in: path
        required: true
    get:
      tags:
        - Environment Main Calls
      summary: List Services By EnvironmentId
      operationId: listServicesByEnvironmentId
      responses:
        '200':
          description: Service List
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    x-stoplight:
                      id: 0t9ccei2ecd8d
                    items:
                      x-stoplight:
                        id: lzycmwmefigki
                      oneOf:
                        - $ref: '#/components/schemas/Application'
                        - $ref: '#/components/schemas/ContainerResponse'
                        - $ref: '#/components/schemas/Database'
                        - $ref: '#/components/schemas/HelmResponse'
                        - $ref: '#/components/schemas/JobResponse'
                        - $ref: '#/components/schemas/TerraformResponse'
                        - $ref: '#/components/schemas/ArgocdAppResponse'
                      discriminator:
                        propertyName: service_type
                        mapping:
                          APPLICATION:
                            $ref: '#/components/schemas/Application'
                          CONTAINER:
                            $ref: '#/components/schemas/ContainerResponse'
                          DATABASE:
                            $ref: '#/components/schemas/Database'
                          HELM:
                            $ref: '#/components/schemas/HelmResponse'
                          JOB:
                            $ref: '#/components/schemas/JobResponse'
                          TERRAFORM:
                            $ref: '#/components/schemas/TerraformResponse'
                          ARGOCD_APP:
                            $ref: '#/components/schemas/ArgocdAppResponse'
components:
  schemas:
    Application:
      allOf:
        - $ref: '#/components/schemas/Base'
        - $ref: '#/components/schemas/ServiceStorage'
        - type: object
          required:
            - environment
            - name
            - healthchecks
            - icon_uri
            - service_type
          properties:
            environment:
              $ref: '#/components/schemas/ReferenceObject'
            git_repository:
              $ref: '#/components/schemas/ApplicationGitRepository'
            maximum_cpu:
              type: integer
              description: >-
                Maximum cpu that can be allocated to the application based on
                organization cluster configuration. unit is millicores (m).
                1000m = 1 cpu
              example: 16000
            maximum_memory:
              type: integer
              description: >-
                Maximum memory that can be allocated to the application based on
                organization cluster configuration. unit is MB. 1024 MB = 1GB
              example: 16384
            maximun_gpu:
              type: integer
              x-stoplight:
                id: ho7l9maiyqe52
              default: 0
              minimum: 0
            name:
              type: string
              description: name is case insensitive
            description:
              type: string
              description: give a description to this application
            build_mode:
              $ref: '#/components/schemas/BuildModeEnum'
            dockerfile_path:
              type: string
              description: >-
                The path of the associated Dockerfile. Only if you are using
                build_mode = DOCKER
              nullable: true
            cpu:
              type: integer
              description: unit is millicores (m). 1000m = 1 cpu
              example: 1250
            memory:
              type: integer
              description: unit is MB. 1024 MB = 1GB
              example: 1024
            gpu:
              type: integer
              x-stoplight:
                id: 3n3pebmhkah3k
              default: 0
              minimum: 0
            min_running_instances:
              type: integer
              minimum: 0
              description: >
                Minimum number of instances running. This resource auto-scale
                based on the CPU and Memory consumption.

                Note: 0 means that there is no application running.
              default: 1
            max_running_instances:
              type: integer
              description: >
                Maximum number of instances running. This resource auto-scale
                based on the CPU and Memory consumption.

                Note: -1 means that there is no limit.
              default: 1
            healthchecks:
              $ref: '#/components/schemas/Healthcheck'
            auto_preview:
              type: boolean
              description: >
                Specify if the environment preview option is activated or not
                for this application.  

                If activated, a preview environment will be automatically cloned
                at each pull request.  

                If not specified, it takes the value of the `auto_preview`
                property from the associated environment.
              default: true
            ports:
              $ref: '#/components/schemas/ServicePortResponseList'
            arguments:
              type: array
              items:
                type: string
            entrypoint:
              type: string
              description: optional entrypoint when launching container
            auto_deploy:
              type: boolean
              description: >-
                Specify if the application will be automatically updated after
                receiving a new commit.
            annotations_groups:
              $ref: '#/components/schemas/OrganizationAnnotationsGroupResponseList'
            labels_groups:
              $ref: '#/components/schemas/OrganizationLabelsGroupResponseList'
            icon_uri:
              type: string
              format: uri
              description: Icon URI representing the application.
              x-stoplight:
                id: b8karc43pdxpu
            service_type:
              $ref: '#/components/schemas/ServiceTypeEnum'
            docker_target_build_stage:
              type: string
              x-stoplight:
                id: tdxdfoyowutcx
              description: The target build stage in the Dockerfile to build
              nullable: true
            autoscaling:
              $ref: '#/components/schemas/AutoscalingPolicyResponse'
    ContainerResponse:
      allOf:
        - $ref: '#/components/schemas/Base'
        - $ref: '#/components/schemas/ServiceStorage'
        - $ref: '#/components/schemas/ContainerSource'
        - type: object
          required:
            - environment
            - maximum_cpu
            - maximum_memory
            - maximum_gpu
            - name
            - cpu
            - memory
            - gpu
            - min_running_instances
            - max_running_instances
            - healthchecks
            - auto_preview
            - icon_uri
            - service_type
          properties:
            environment:
              $ref: '#/components/schemas/ReferenceObject'
            maximum_cpu:
              type: integer
              description: >-
                Maximum cpu that can be allocated to the container based on
                organization cluster configuration. unit is millicores (m).
                1000m = 1 cpu
              example: 16000
            maximum_memory:
              type: integer
              description: >-
                Maximum memory that can be allocated to the container based on
                organization cluster configuration. unit is MB. 1024 MB = 1GB
              example: 16384
            maximum_gpu:
              type: integer
              description: >-
                Maximum memory that can be allocated to the container based on
                organization cluster configuration. unit is MB. 1024 MB = 1GB
              x-stoplight:
                id: zdw9ry7s5s0e8
              minimum: 0
              default: 0
              example: 2
            name:
              type: string
              description: name is case insensitive
            description:
              type: string
              description: give a description to this container
            arguments:
              type: array
              items:
                type: string
            entrypoint:
              type: string
              description: optional entrypoint when launching container
            cpu:
              type: integer
              description: unit is millicores (m). 1000m = 1 cpu
              example: 1250
            memory:
              type: integer
              description: unit is MB. 1024 MB = 1GB
              example: 1024
            gpu:
              type: integer
              x-stoplight:
                id: qthonnmak3re3
              default: 0
              minimum: 0
              example: 1
            min_running_instances:
              type: integer
              minimum: 0
              description: >
                Minimum number of instances running. This resource auto-scale
                based on the CPU and Memory consumption.

                Note: 0 means that there is no container running.
              default: 1
            max_running_instances:
              type: integer
              description: >
                Maximum number of instances running. This resource auto-scale
                based on the CPU and Memory consumption.

                Note: -1 means that there is no limit.
              default: 1
            healthchecks:
              $ref: '#/components/schemas/Healthcheck'
            auto_preview:
              type: boolean
              description: >
                Indicates if the 'environment preview option' is enabled for
                this container.  

                If enabled, a preview environment will be automatically cloned
                when `/preview` endpoint is called.  

                If not specified, it takes the value of the `auto_preview`
                property from the associated environment.
            ports:
              $ref: '#/components/schemas/ServicePortResponseList'
            auto_deploy:
              type: boolean
              description: >
                Specify if the container will be automatically updated after
                receiving a new image tag. 

                The new image tag shall be communicated via the "Auto Deploy
                container" endpoint
                https://api-doc.qovery.com/#tag/Containers/operation/autoDeployContainerEnvironments
            annotations_groups:
              $ref: '#/components/schemas/OrganizationAnnotationsGroupResponseList'
            labels_groups:
              $ref: '#/components/schemas/OrganizationLabelsGroupResponseList'
            icon_uri:
              type: string
              format: uri
              description: Icon URI representing the container.
              x-stoplight:
                id: o2bdci7ak3bmz
            service_type:
              $ref: '#/components/schemas/ServiceTypeEnum'
            autoscaling:
              $ref: '#/components/schemas/AutoscalingPolicyResponse'
    Database:
      allOf:
        - $ref: '#/components/schemas/Base'
        - $ref: '#/components/schemas/DatabaseRequest'
        - type: object
          required:
            - environment
            - icon_uri
            - service_type
          properties:
            environment:
              $ref: '#/components/schemas/ReferenceObject'
            host:
              type: string
            port:
              type: integer
              example: 5432
            maximum_cpu:
              type: integer
              description: >-
                Maximum cpu that can be allocated to the database based on
                organization cluster configuration. unit is millicores (m).
                1000m = 1 cpu
              example: 1250
            maximum_memory:
              type: integer
              description: >-
                Maximum memory that can be allocated to the database based on
                organization cluster configuration. unit is MB. 1024 MB = 1GB
              example: 1024
            disk_encrypted:
              type: boolean
              description: indicates if the database disk is encrypted or not
            instance_type:
              type: string
              example: db.t3.medium
              description: >-
                Database instance type to be used for this database. The list of
                values can be retrieved via the endpoint
                /{CloudProvider}/managedDatabase/instanceType/{region}/{dbType}.
                This field is null for container DB.
            disk_type:
              type: string
              nullable: true
              description: >-
                EBS disk type for the database. Only applicable for MANAGED mode
                (gp2 or gp3). Null for CONTAINER mode.
              enum:
                - gp2
                - gp3
            annotations_groups:
              $ref: '#/components/schemas/OrganizationAnnotationsGroupResponseList'
            labels_groups:
              $ref: '#/components/schemas/OrganizationLabelsGroupResponseList'
            icon_uri:
              type: string
              format: uri
              description: Icon URI representing the database.
            service_type:
              $ref: '#/components/schemas/ServiceTypeEnum'
    HelmResponse:
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          required:
            - environment
            - name
            - auto_preview
            - auto_deploy
            - source
            - arguments
            - allow_cluster_wide_resources
            - values_override
            - icon_uri
            - service_type
          properties:
            environment:
              $ref: '#/components/schemas/ReferenceObject'
            name:
              type: string
              description: name is case insensitive
            description:
              type: string
            timeout_sec:
              type: integer
              minimum: 0
              default: 600
              description: >
                Maximum number of seconds allowed for helm to run before killing
                it and mark it as failed
            auto_preview:
              type: boolean
              description: >
                Indicates if the 'environment preview option' is enabled.  

                If enabled, a preview environment will be automatically cloned
                when `/preview` endpoint is called.  

                If not specified, it takes the value of the `auto_preview`
                property from the associated environment.
            auto_deploy:
              type: boolean
              description: >
                Specify if the service will be automatically updated after
                receiving a new image tag or a new commit according to the
                source type.
            ports:
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/HelmPortResponseWithServiceName'
                  - $ref: '#/components/schemas/HelmPortResponseWithServiceSelectors'
                discriminator:
                  propertyName: port_type
                  mapping:
                    SERVICE_NAME:
                      $ref: '#/components/schemas/HelmPortResponseWithServiceName'
                    SERVICE_SELECTORS:
                      $ref: >-
                        #/components/schemas/HelmPortResponseWithServiceSelectors
            source:
              nullable: false
              oneOf:
                - required:
                    - git
                  properties:
                    git:
                      $ref: '#/components/schemas/HelmSourceGitResponse'
                  type: object
                - x-stoplight:
                    id: 0prdehm6z8pua
                  required:
                    - repository
                  properties:
                    repository:
                      $ref: '#/components/schemas/HelmSourceRepositoryResponse'
                  type: object
            arguments:
              type: array
              description: The extra arguments to pass to helm
              items:
                type: string
            allow_cluster_wide_resources:
              type: boolean
              default: false
              description: >
                If we should allow the chart to deploy object outside his
                specified namespace.

                Setting this flag to true, requires special rights
            values_override:
              type: object
              description: |
                Specify helm values you want to set or override
              properties:
                set:
                  $ref: '#/components/schemas/HelmKeyValues'
                set_string:
                  $ref: '#/components/schemas/HelmKeyValues'
                set_json:
                  $ref: '#/components/schemas/HelmKeyValues'
                file:
                  type: object
                  nullable: true
                  properties:
                    raw:
                      type: object
                      nullable: true
                      required:
                        - values
                      properties:
                        values:
                          type: array
                          items:
                            type: object
                            required:
                              - name
                              - content
                            properties:
                              name:
                                type: string
                                description: The name of the value file
                              content:
                                type: string
                                description: The content of the value file
                    git:
                      type: object
                      nullable: true
                      required:
                        - git_repository
                        - paths
                      properties:
                        git_repository:
                          $ref: '#/components/schemas/ApplicationGitRepository'
                        paths:
                          type: array
                          description: >-
                            List of path inside your git repository to locate
                            values file. Must start by a /
                          items:
                            type: string
            icon_uri:
              type: string
              format: uri
              description: Icon URI representing the helm service.
              x-stoplight:
                id: i2pvbugqsldhe
            service_type:
              $ref: '#/components/schemas/ServiceTypeEnum'
    JobResponse:
      oneOf:
        - $ref: '#/components/schemas/LifecycleJobResponse'
        - $ref: '#/components/schemas/CronJobResponse'
      discriminator:
        propertyName: job_type
        mapping:
          LIFECYCLE:
            $ref: '#/components/schemas/LifecycleJobResponse'
          CRON:
            $ref: '#/components/schemas/CronJobResponse'
    TerraformResponse:
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          required:
            - name
            - timeout_sec
            - auto_deploy
            - icon_uri
            - service_type
            - terraform_variables_source
            - engine
            - backend
            - provider_version
            - job_resources
            - environment
            - use_cluster_credentials
            - action_extra_arguments
          properties:
            name:
              type: string
              description: name is case insensitive
            description:
              type: string
            timeout_sec:
              type: integer
              minimum: 0
              default: 600
            auto_deploy:
              type: boolean
            auto_deploy_config:
              $ref: '#/components/schemas/TerraformAutoDeployConfig'
            terraform_files_source:
              nullable: false
              x-stoplight:
                id: abfhjb6q74upq
              oneOf:
                - $ref: '#/components/schemas/TerraformFilesSource'
            icon_uri:
              type: string
              format: uri
              description: Icon URI representing the terraform service.
              x-stoplight:
                id: i2pvbugqsldhe
            service_type:
              $ref: '#/components/schemas/ServiceTypeEnum'
            terraform_variables_source:
              $ref: '#/components/schemas/TerraformVariablesSourceResponse'
            engine:
              $ref: '#/components/schemas/TerraformEngineEnum'
            backend:
              $ref: '#/components/schemas/TerraformBackend'
            provider_version:
              $ref: '#/components/schemas/TerraformProviderVersion'
            job_resources:
              $ref: '#/components/schemas/TerraformJobResourcesResponse'
            environment:
              $ref: '#/components/schemas/ReferenceObject'
            use_cluster_credentials:
              type: boolean
              x-stoplight:
                id: ixjejij08tgfo
            action_extra_arguments:
              type: object
              x-stoplight:
                id: rnkzwlf29dgb5
              description: >-
                The key represent the action command name i.e: "plan"

                The value represent the extra arguments to pass to this command


                i.e: {"apply", ["-lock=false"]} is going to prepend
                `-lock=false` to terraform apply commands
              additionalProperties:
                x-stoplight:
                  id: 57b09dqz1jwra
                type: array
                items:
                  x-stoplight:
                    id: 2mkmankga2thw
                  type: string
            dockerfile_fragment:
              nullable: true
              description: |
                Custom Dockerfile fragment to inject during build.
                When null, no custom fragment is injected.
              oneOf:
                - $ref: '#/components/schemas/DockerfileFragmentFile'
                - $ref: '#/components/schemas/DockerfileFragmentInline'
              discriminator:
                propertyName: type
                mapping:
                  file:
                    $ref: '#/components/schemas/DockerfileFragmentFile'
                  inline:
                    $ref: '#/components/schemas/DockerfileFragmentInline'
      description: A Terraform service
    ArgocdAppResponse:
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          required:
            - name
            - service_type
            - namespace
            - environment
            - environment_id
            - cluster_id
            - icon_uri
          properties:
            name:
              type: string
              description: name is case insensitive
            service_type:
              $ref: '#/components/schemas/ServiceTypeEnum'
            namespace:
              type: string
            environment:
              $ref: '#/components/schemas/ReferenceObject'
            environment_id:
              type: string
              format: uuid
            cluster_id:
              type: string
              format: uuid
            icon_uri:
              type: string
              format: uri
              default: app://qovery-console/argocd
              description: Icon URI representing the ArgoCD service.
            last_synced_at:
              type: string
              format: date-time
              nullable: true
            manifest_revision:
              type: string
              nullable: true
            source_repo_url:
              type: string
              nullable: true
            source_target_revision:
              type: string
              nullable: true
      description: An ArgoCD service
    Base:
      type: object
      required:
        - id
        - created_at
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          readOnly: true
          format: date-time
        updated_at:
          type: string
          readOnly: true
          format: date-time
    ServiceStorage:
      type: object
      properties:
        storage:
          type: array
          items:
            type: object
            required:
              - id
              - type
              - size
              - mount_point
            properties:
              id:
                type: string
                format: uuid
              type:
                $ref: '#/components/schemas/StorageTypeEnum'
              size:
                type: integer
                description: unit is GB
                example: 16
              mount_point:
                type: string
                example: /mnt/images
    ReferenceObject:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
    ApplicationGitRepository:
      type: object
      required:
        - provider
        - owner
        - name
        - url
      properties:
        has_access:
          type: boolean
        provider:
          $ref: '#/components/schemas/GitProviderEnum'
        owner:
          type: string
          example: John Doe
        url:
          type: string
          format: uri
        name:
          type: string
          description: repository name
          example: simple-node-app
        branch:
          type: string
        root_path:
          type: string
        deployed_commit_id:
          type: string
          description: Git commit ID corresponding to the deployed version of the app
        deployed_commit_date:
          type: string
          readOnly: true
          format: date-time
          description: Git commit date corresponding to the deployed version of the app
        deployed_commit_contributor:
          type: string
          description: Git commit user corresponding to the deployed version of the app
        deployed_commit_tag:
          type: string
          example: v1.0.1
        git_token_id:
          type: string
          nullable: true
        git_token_name:
          type: string
          nullable: true
      title: ''
    BuildModeEnum:
      type: string
      enum:
        - DOCKER
      description: |
        `DOCKER` requires `dockerfile_path`
      default: DOCKER
    Healthcheck:
      type: object
      nullable: false
      properties:
        readiness_probe:
          $ref: '#/components/schemas/Probe'
        liveness_probe:
          $ref: '#/components/schemas/Probe'
    ServicePortResponseList:
      type: array
      items:
        $ref: '#/components/schemas/ServicePort'
    OrganizationAnnotationsGroupResponseList:
      type: array
      items:
        $ref: '#/components/schemas/OrganizationAnnotationsGroupResponse'
    OrganizationLabelsGroupResponseList:
      type: array
      items:
        $ref: '#/components/schemas/OrganizationLabelsGroupResponse'
      title: ''
    ServiceTypeEnum:
      type: string
      x-stoplight:
        id: d66063cd29913
      description: type of the service (application, database, job, ...)
      enum:
        - APPLICATION
        - DATABASE
        - CONTAINER
        - JOB
        - HELM
        - TERRAFORM
        - ARGOCD_APP
    AutoscalingPolicyResponse:
      title: AutoscalingPolicyResponse
      x-stoplight:
        id: mjawsx6obi237
      oneOf:
        - $ref: '#/components/schemas/KedaAutoscalingResponse'
      discriminator:
        propertyName: mode
        mapping:
          KEDA:
            $ref: '#/components/schemas/KedaAutoscalingResponse'
    ContainerSource:
      type: object
      required:
        - image_name
        - tag
        - registry
      properties:
        image_name:
          type: string
          description: >
            The image name pattern differs according to chosen container
            registry provider:

            * `ECR`: `repository`

            * `SCALEWAY_CR`: `namespace/image`

            * `DOCKER_HUB`: `image` or `repository/image`

            * `PUBLIC_ECR`: `registry_alias/repository`
        tag:
          type: string
          description: tag of the image container
        registry_id:
          type: string
          description: tag of the image container
        registry:
          $ref: '#/components/schemas/ContainerRegistryProviderDetailsResponse'
    DatabaseRequest:
      type: object
      required:
        - name
        - type
        - version
        - mode
      properties:
        name:
          type: string
          description: name is case insensitive
        description:
          type: string
          description: give a description to this database
        type:
          $ref: '#/components/schemas/DatabaseTypeEnum'
        version:
          type: string
          example: '10.1'
        mode:
          $ref: '#/components/schemas/DatabaseModeEnum'
        accessibility:
          $ref: '#/components/schemas/DatabaseAccessibilityEnum'
        cpu:
          type: integer
          description: >
            unit is millicores (m). 1000m = 1 cpu

            This field will be ignored for managed DB (instance type will be
            used instead).
          default: 250
          example: 1250
        instance_type:
          type: string
          example: db.t3.medium
          description: >-
            Database instance type to be used for this database. The list of
            values can be retrieved via the endpoint
            /{CloudProvider}/managedDatabase/instanceType/{region}/{dbType}.
            This field SHOULD NOT be set for container DB.
        memory:
          type: integer
          description: >
            unit is MB. 1024 MB = 1GB

            This field will be ignored for managed DB (instance type will be
            used instead).

            Default value is linked to the database type:

            - MANAGED: `100`

            - CONTAINER
              - POSTGRES: `100`
              - REDIS: `100`
              - MYSQL: `512`
              - MONGODB: `256`
          example: 1024
        storage:
          type: integer
          description: unit is GB
          default: 10
        annotations_groups:
          $ref: '#/components/schemas/ServiceAnnotationsRequestList'
        labels_groups:
          $ref: '#/components/schemas/ServiceLabelsRequestList'
        icon_uri:
          type: string
          format: uri
          description: Icon URI representing the database.
          x-stoplight:
            id: ls6yevnhskd5y
    HelmPortResponseWithServiceName:
      allOf:
        - $ref: '#/components/schemas/HelmPortResponseBase'
        - type: object
          required:
            - service_name
          properties:
            service_name:
              type: string
    HelmPortResponseWithServiceSelectors:
      allOf:
        - $ref: '#/components/schemas/HelmPortResponseBase'
        - type: object
          required:
            - service_selectors
          properties:
            service_selectors:
              type: array
              items:
                $ref: '#/components/schemas/KubernetesSelector'
    HelmSourceGitResponse:
      title: HelmSourceGitResponse
      x-stoplight:
        id: lsxautcdafty6
      type: object
      required:
        - git_repository
      properties:
        git_repository:
          $ref: '#/components/schemas/ApplicationGitRepository'
    HelmSourceRepositoryResponse:
      title: HelmSourceRepositoryResponse
      x-stoplight:
        id: 4u8sg5mvbz502
      type: object
      required:
        - chart_name
        - chart_version
        - repository
      properties:
        chart_name:
          type: string
          x-stoplight:
            id: myqqxis6r2wum
        chart_version:
          type: string
          x-stoplight:
            id: bxqymhkfiwauw
        repository:
          type: object
          x-stoplight:
            id: fr4th9yrro2rh
          required:
            - id
            - name
            - url
          properties:
            id:
              type: string
              x-stoplight:
                id: 4mb2ymh7anud4
              format: uu
            name:
              type: string
              x-stoplight:
                id: bamkqh6qvsenc
            url:
              type: string
              x-stoplight:
                id: qxjxb9crdcsyv
              format: uri
    HelmKeyValues:
      type: array
      description: 'The input is in json array format: [ [$KEY,$VALUE], [...] ]'
      items:
        type: array
        items:
          type: string
    LifecycleJobResponse:
      allOf:
        - $ref: '#/components/schemas/BaseJobResponse'
        - type: object
          required:
            - job_type
            - schedule
          properties:
            job_type:
              $ref: '#/components/schemas/JobTypeEnum'
            schedule:
              type: object
              properties:
                on_start:
                  type: object
                  properties:
                    arguments:
                      type: array
                      items:
                        type: string
                    entrypoint:
                      type: string
                      description: optional entrypoint when launching container
                on_stop:
                  type: object
                  properties:
                    arguments:
                      type: array
                      items:
                        type: string
                    entrypoint:
                      type: string
                      description: optional entrypoint when launching container
                on_delete:
                  type: object
                  properties:
                    arguments:
                      type: array
                      items:
                        type: string
                    entrypoint:
                      type: string
                      description: optional entrypoint when launching container
                lifecycle_type:
                  $ref: '#/components/schemas/JobLifecycleTypeEnum'
            annotations_groups:
              $ref: '#/components/schemas/OrganizationAnnotationsGroupResponseList'
            labels_groups:
              $ref: '#/components/schemas/OrganizationLabelsGroupResponseList'
      title: ''
    CronJobResponse:
      allOf:
        - $ref: '#/components/schemas/BaseJobResponse'
        - type: object
          required:
            - job_type
            - schedule
          properties:
            job_type:
              $ref: '#/components/schemas/JobTypeEnum'
            schedule:
              type: object
              required:
                - cronjob
              properties:
                cronjob:
                  type: object
                  required:
                    - timezone
                    - scheduled_at
                  properties:
                    arguments:
                      type: array
                      items:
                        type: string
                    entrypoint:
                      type: string
                      description: optional entrypoint when launching container
                    timezone:
                      type: string
                      description: tz identifier at which the schedule at will be executed
                    scheduled_at:
                      type: string
                      format: cron
                      description: >
                        Can only be set if the event is CRON.  

                        Represent the cron format for the job schedule without
                        seconds.  

                        For example: `* * * * *` represent the cron to launch
                        the job every minute.  

                        See https://crontab.guru/ to WISIWIG interface.  

                        Timezone is UT
            annotations_groups:
              $ref: '#/components/schemas/OrganizationAnnotationsGroupResponseList'
            labels_groups:
              $ref: '#/components/schemas/OrganizationLabelsGroupResponseList'
    TerraformAutoDeployConfig:
      title: TerraformAutoDeployConfig
      type: object
      required:
        - auto_deploy
        - terraform_action
      properties:
        auto_deploy:
          type: boolean
        terraform_action:
          type: string
          description: |
            Action to force a specific Terraform behavior on autodeploy.
            `DEFAULT`: The action is resolved based on the deployment type:
              - Start/Restart -> PLAN_AND_APPLY
              - Delete -> DESTROY
              - Pause -> PLAN_ONLY
          enum:
            - DEFAULT
            - PLAN
            - NOOP
    TerraformFilesSource:
      title: TerraformFilesSource
      x-stoplight:
        id: ynhtfa5yo20ee
      type: object
      properties:
        git:
          x-stoplight:
            id: iavjewfs0d12k
          type: object
          properties:
            git_repository:
              $ref: '#/components/schemas/ApplicationGitRepository'
    TerraformVariablesSourceResponse:
      title: TerraformVariablesSourceResponse
      x-stoplight:
        id: 2lr1mv2b3y7xy
      type: object
      required:
        - tf_var_file_paths
        - tf_vars
      properties:
        tf_var_file_paths:
          type: array
          x-stoplight:
            id: ua5d71it2yiu5
          items:
            x-stoplight:
              id: qsy17gz9fl3n3
            type: string
        tf_vars:
          type: array
          items:
            $ref: '#/components/schemas/TerraformVarKeyValue'
    TerraformEngineEnum:
      enum:
        - TERRAFORM
        - OPEN_TOFU
    TerraformBackend:
      oneOf:
        - type: object
          required:
            - kubernetes
          properties:
            kubernetes:
              $ref: '#/components/schemas/TerraformBackendKubernetes'
        - type: object
          required:
            - user_provided
          properties:
            user_provided:
              $ref: '#/components/schemas/TerraformBackendUserProvided'
        - type: object
          required:
            - blueprint
          properties:
            blueprint:
              $ref: '#/components/schemas/TerraformBackendBlueprint'
      description: >-
        Configuration for Terraform backend - exactly one backend type must be
        specified
    TerraformProviderVersion:
      title: TerraformProviderVersion
      x-stoplight:
        id: 1a1hkhvei2wjq
      type: object
      required:
        - explicit_version
      properties:
        read_from_terraform_block:
          type: boolean
          x-stoplight:
            id: p2dnmuifo0fki
        explicit_version:
          type: string
          x-stoplight:
            id: 611hxcvuy68lv
    TerraformJobResourcesResponse:
      title: TerraformJobResourcesResponse
      x-stoplight:
        id: xhswkmfwyerrv
      type: object
      required:
        - cpu_milli
        - ram_mib
        - gpu
        - storage_gib
      properties:
        cpu_milli:
          type: integer
          x-stoplight:
            id: bg054290feb9c
        ram_mib:
          type: integer
          x-stoplight:
            id: f6dur44ah2bwe
        gpu:
          type: integer
          x-stoplight:
            id: y8lomc204l40z
          default: 0
          minimum: 0
          example: 1
        storage_gib:
          type: integer
          x-stoplight:
            id: dsf78pwnvmqi8
    DockerfileFragmentFile:
      title: DockerfileFragmentFile
      type: object
      description: Reference a Dockerfile fragment file from your Git repository.
      required:
        - type
        - path
      properties:
        type:
          type: string
          enum:
            - file
          description: Fragment type discriminator
        path:
          type: string
          description: Absolute path to the fragment file.
          example: /infra/terraform/custom-build.dockerfile
    DockerfileFragmentInline:
      title: DockerfileFragmentInline
      type: object
      description: Define Dockerfile commands directly in the configuration.
      required:
        - type
        - content
      properties:
        type:
          type: string
          enum:
            - inline
          description: Fragment type discriminator
        content:
          type: string
          description: Dockerfile commands to inject (max 8KB).
          example: >-
            RUN apt-get update && apt-get install -y aws-cli jq curl && rm -rf
            /var/lib/apt/lists/*
    StorageTypeEnum:
      type: string
      enum:
        - FAST_SSD
    GitProviderEnum:
      type: string
      enum:
        - BITBUCKET
        - GITHUB
        - GITLAB
    Probe:
      type: object
      nullable: true
      properties:
        type:
          type: object
          properties:
            tcp:
              type: object
              nullable: true
              properties:
                port:
                  type: integer
                host:
                  type: string
                  default: null
                  nullable: true
            http:
              type: object
              nullable: true
              properties:
                path:
                  type: string
                  default: /
                scheme:
                  type: string
                  default: HTTP
                port:
                  type: integer
            exec:
              type: object
              nullable: true
              description: >-
                Execute a command inside the container. The probe succeeds if
                the command exits with status code 0.
              properties:
                command:
                  type: array
                  description: >-
                    Command to execute inside the container, specified as an
                    array of strings. The first element is the executable,
                    followed by its arguments. Example: ["sh", "-c", "test -f
                    /tmp/healthy"]
                  example:
                    - sh
                    - '-c'
                    - test -f /tmp/healthy
                  items:
                    type: string
                  minItems: 1
            grpc:
              type: object
              nullable: true
              properties:
                service:
                  type: string
                  default: null
                  nullable: true
                port:
                  type: integer
        initial_delay_seconds:
          type: integer
          default: 30
        period_seconds:
          type: integer
          default: 10
        timeout_seconds:
          type: integer
          default: 5
        success_threshold:
          type: integer
          default: 1
        failure_threshold:
          type: integer
          default: 9
    ServicePort:
      type: object
      required:
        - id
        - internal_port
        - publicly_accessible
        - protocol
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        internal_port:
          type: integer
          example: 8080
          description: The listening port of your service.
        external_port:
          type: integer
          example: 8080
          description: >-
            The exposed port for your service. This is optional. If not set a
            default port will be used.
        publicly_accessible:
          type: boolean
          description: Expose the port to the world
        is_default:
          type: boolean
          description: is the default port to use for domain
        protocol:
          $ref: '#/components/schemas/PortProtocolEnum'
        public_path:
          type: string
          description: >-
            Indicate the path or regex that must match for traffic to be
            accepted on your service

            i.e: /api/ will only accept http calls that start with /api/ 

            Only valid for publicly_accessible HTTP or GRPC ports.
        public_path_rewrite:
          type: string
          description: >-
            Indicate the new path that will be used to reach your service after
            replacement

            i.e: public_path -> /(.*)  public_path_rewrite -> /api/$1 will
            append /api/ on all externaly requested url when reaching the
            service 

            external/use url -> example.com/foobar  -> url seen by the service
            -> example.com/api/foobar

            Only valid for publicly_accessible HTTP or GRPC ports.
    OrganizationAnnotationsGroupResponse:
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          required:
            - name
            - annotations
            - scopes
          properties:
            name:
              type: string
            annotations:
              type: array
              items:
                $ref: '#/components/schemas/Annotation'
            scopes:
              type: array
              items:
                $ref: '#/components/schemas/OrganizationAnnotationsGroupScopeEnum'
    OrganizationLabelsGroupResponse:
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          required:
            - name
            - labels
          properties:
            name:
              type: string
            labels:
              type: array
              items:
                $ref: '#/components/schemas/Label'
      title: ''
    KedaAutoscalingResponse:
      title: KedaAutoscalingResponse
      x-stoplight:
        id: dgcb902szizvv
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          x-stoplight:
            id: zjlwqohiiyuwf
          required:
            - service_id
            - mode
            - polling_interval_seconds
            - cooldown_period_seconds
            - scalers
          properties:
            service_id:
              type: string
              x-stoplight:
                id: j9bxhtiyyl0iv
              format: uuid
            mode:
              $ref: '#/components/schemas/AutoscalingMode'
            polling_interval_seconds:
              type: integer
              x-stoplight:
                id: uone6zr48amok
              format: int32
            cooldown_period_seconds:
              type: integer
              x-stoplight:
                id: j2dapmjjjiafj
              format: int32
            scalers:
              type: array
              x-stoplight:
                id: oyhxgvwg36ixz
              minItems: 1
              items:
                $ref: '#/components/schemas/KedaScalerResponse'
      description: ''
    ContainerRegistryProviderDetailsResponse:
      type: object
      required:
        - id
        - name
        - url
        - kind
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        url:
          type: string
          description: URL of the container registry
        kind:
          $ref: '#/components/schemas/ContainerRegistryKindEnum'
    DatabaseTypeEnum:
      type: string
      enum:
        - MONGODB
        - MYSQL
        - POSTGRESQL
        - REDIS
    DatabaseModeEnum:
      type: string
      enum:
        - CONTAINER
        - MANAGED
    DatabaseAccessibilityEnum:
      type: string
      default: PRIVATE
      enum:
        - PRIVATE
        - PUBLIC
    ServiceAnnotationsRequestList:
      type: array
      items:
        $ref: '#/components/schemas/ServiceAnnotationRequest'
    ServiceLabelsRequestList:
      type: array
      items:
        $ref: '#/components/schemas/ServiceLabelRequest'
    HelmPortResponseBase:
      type: object
      required:
        - id
        - internal_port
        - protocol
        - port_type
      properties:
        id:
          type: string
          format: uuid
        port_type:
          type: string
        name:
          type: string
        internal_port:
          type: integer
          example: 8080
          description: The listening port of your service.
        external_port:
          type: integer
          example: 8080
          description: >-
            The exposed port for your service. This is optional. If not set a
            default port will be used.
        namespace:
          type: string
        protocol:
          $ref: '#/components/schemas/HelmPortProtocolEnum'
        is_default:
          type: boolean
          description: is the default port to use for domain
    KubernetesSelector:
      title: KubernetesSelector
      x-stoplight:
        id: 4i1ztgngi75vs
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
          x-stoplight:
            id: 1zcgvzdknhr8n
        value:
          type: string
          x-stoplight:
            id: 6zpc45u4laog4
    BaseJobResponse:
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          required:
            - environment
            - maximum_cpu
            - maximum_memory
            - maximum_gpu
            - name
            - cpu
            - memory
            - gpu
            - auto_preview
            - source
            - healthchecks
            - icon_uri
            - service_type
          properties:
            environment:
              $ref: '#/components/schemas/ReferenceObject'
            maximum_cpu:
              type: integer
              description: >-
                Maximum cpu that can be allocated to the job based on
                organization cluster configuration. unit is millicores (m).
                1000m = 1 cpu
              example: 16000
            maximum_memory:
              type: integer
              description: >-
                Maximum memory that can be allocated to the job based on
                organization cluster configuration. unit is MB. 1024 MB = 1GB
              example: 16384
            maximum_gpu:
              type: integer
              description: >-
                Maximum memory that can be allocated to the job based on
                organization cluster configuration. unit is MB. 1024 MB = 1GB
              x-stoplight:
                id: 7o0e6wrgnxgcc
              minimum: 0
              default: 0
              example: 2
            name:
              type: string
              description: name is case insensitive
            description:
              type: string
            cpu:
              type: integer
              description: unit is millicores (m). 1000m = 1 cpu
              example: 1250
            memory:
              type: integer
              description: unit is MB. 1024 MB = 1GB
              example: 1024
            gpu:
              type: integer
              x-stoplight:
                id: 50sj2wtkdypgg
              default: 0
              minimum: 0
              example: 1
            max_nb_restart:
              type: integer
              minimum: 0
              description: >
                Maximum number of restart allowed before the job is considered
                as failed

                0 means that no restart/crash of the job is allowed
            max_duration_seconds:
              type: integer
              minimum: 0
              description: >
                Maximum number of seconds allowed for the job to run before
                killing it and mark it as failed
            auto_preview:
              type: boolean
              description: >
                Indicates if the 'environment preview option' is enabled for
                this container.  

                If enabled, a preview environment will be automatically cloned
                when `/preview` endpoint is called.  

                If not specified, it takes the value of the `auto_preview`
                property from the associated environment.
            port:
              type: integer
              minimum: 1
              description: >-
                Port where to run readiness and liveliness probes checks. The
                port will not be exposed externally
              default: null
              nullable: true
            source:
              nullable: false
              oneOf:
                - required:
                    - image
                  properties:
                    image:
                      $ref: '#/components/schemas/ContainerSource'
                  type: object
                - required:
                    - docker
                  properties:
                    docker:
                      $ref: '#/components/schemas/JobSourceDockerResponse'
                  type: object
            healthchecks:
              $ref: '#/components/schemas/Healthcheck'
            auto_deploy:
              type: boolean
              description: >
                Specify if the job will be automatically updated after receiving
                a new image tag or a new commit according to the source type. 

                The new image tag shall be communicated via the "Auto Deploy
                job" endpoint
                https://api-doc.qovery.com/#tag/Jobs/operation/autoDeployJobEnvironments
            icon_uri:
              type: string
              format: uri
              description: Icon URI representing the job.
              x-stoplight:
                id: p1secr7kxozsd
            service_type:
              $ref: '#/components/schemas/ServiceTypeEnum'
    JobTypeEnum:
      type: string
      description: type of job
      enum:
        - LIFECYCLE
        - CRON
    JobLifecycleTypeEnum:
      title: JobLifecycleTypeEnum
      x-stoplight:
        id: tz1t23a291l51
      enum:
        - GENERIC
        - TERRAFORM
        - CLOUDFORMATION
    TerraformVarKeyValue:
      title: TerraformVarKeyValue
      type: object
      description: A Terraform input variable
      properties:
        key:
          type: string
          x-stoplight:
            id: enwctu8s88umi
        value:
          type: string
          x-stoplight:
            id: ix1y6viqpaxk6
        secret:
          type: boolean
          x-stoplight:
            id: df80p2az3whjg
    TerraformBackendKubernetes:
      type: object
      description: Kubernetes-specific backend configuration
    TerraformBackendUserProvided:
      type: object
      description: User-provided backend configuration
    TerraformBackendBlueprint:
      type: object
      description: >-
        Blueprint-managed backend configuration. The user provides the backend
        type and config at blueprint creation time. The platform generates and
        injects backend.tf for the created service.
      required:
        - type
      properties:
        type:
          type: string
          description: Terraform backend type (e.g. s3, gcs, azurerm)
        config:
          type: object
          additionalProperties:
            type: string
          description: >-
            Static backend configuration (bucket, region, etc.). Credentials
            should be provided via environment variables, not here.
    PortProtocolEnum:
      type: string
      default: HTTP
      enum:
        - HTTP
        - GRPC
        - TCP
        - UDP
    Annotation:
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
        value:
          type: string
    OrganizationAnnotationsGroupScopeEnum:
      type: string
      description: Annotations Group Scope
      enum:
        - DEPLOYMENTS
        - STATEFUL_SETS
        - SERVICES
        - INGRESS
        - GATEWAY_API_ROUTES
        - HPA
        - PODS
        - SECRETS
        - JOBS
        - CRON_JOBS
    Label:
      type: object
      required:
        - key
        - value
        - propagate_to_cloud_provider
      properties:
        key:
          type: string
        value:
          type: string
        propagate_to_cloud_provider:
          type: boolean
    AutoscalingMode:
      title: AutoscalingMode
      x-stoplight:
        id: vmgo27882mrl3
      type: string
      enum:
        - KEDA
    KedaScalerResponse:
      title: KedaScalerResponse
      x-stoplight:
        id: gaaqg32ivl48h
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          x-stoplight:
            id: 74tt3hgf95nfe
          required:
            - scaler_type
            - enabled
            - role
          properties:
            scaler_type:
              type: string
              x-stoplight:
                id: 1ckp76ziimkg4
            enabled:
              type: boolean
              x-stoplight:
                id: 0dnjwnlkuj3kp
            role:
              $ref: '#/components/schemas/KedaScalerRole'
            config_json:
              type: object
              nullable: true
            config_yaml:
              type: string
              nullable: true
            trigger_authentication:
              $ref: '#/components/schemas/KedaTriggerAuthenticationResponse'
    ContainerRegistryKindEnum:
      type: string
      enum:
        - ECR
        - SCALEWAY_CR
        - DOCKER_HUB
        - GITHUB_CR
        - GITHUB_ENTERPRISE_CR
        - GITLAB_CR
        - PUBLIC_ECR
        - DOCR
        - GENERIC_CR
        - GCP_ARTIFACT_REGISTRY
        - AZURE_CR
      description: The type of your container registry
    ServiceAnnotationRequest:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          format: uuid
    ServiceLabelRequest:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          format: uuid
    HelmPortProtocolEnum:
      type: string
      default: HTTP
      enum:
        - HTTP
        - GRPC
    JobSourceDockerResponse:
      title: JobSourceDockerResponse
      x-stoplight:
        id: s59m8wajnieny
      type: object
      properties:
        git_repository:
          $ref: '#/components/schemas/ApplicationGitRepository'
        dockerfile_path:
          type: string
          x-stoplight:
            id: 72djyl4mjhxny
          description: >-
            The path of the associated Dockerfile. Only if you are using
            build_mode = DOCKER
          nullable: true
        dockerfile_raw:
          type: string
          x-stoplight:
            id: 7s4l0qg285y48
          description: >-
            The content of your dockerfile if it is not stored inside your git
            repository
          nullable: true
        docker_target_build_stage:
          type: string
          x-stoplight:
            id: 8o1faq3bgz92i
          description: The target build stage in the Dockerfile to build
          nullable: true
    KedaScalerRole:
      title: KedaScalerRole
      x-stoplight:
        id: 1sl0mlxoqzr8w
      type: string
      enum:
        - PRIMARY
        - SAFETY
    KedaTriggerAuthenticationResponse:
      title: KedaTriggerAuthenticationResponse
      x-stoplight:
        id: 7mm4a4sk9jhz3
      allOf:
        - $ref: '#/components/schemas/Base'
        - type: object
          x-stoplight:
            id: ssejnexbsra11
          required:
            - organization_id
            - name
          properties:
            organization_id:
              type: string
              x-stoplight:
                id: akxa3zctvjj5h
            name:
              type: string
              x-stoplight:
                id: gpvwed95xygk1
            config_yaml:
              type: string
              x-stoplight:
                id: r5lmrzakyk9o6
              description: ' Optional raw KEDA TriggerAuthentication YAML configuration.'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT tokens should be used with OIDC account (human to machine). JWT
        tokens used by the Qovery console to communicate with the API have a
        TTL. Curl Example ' curl https://console.qovery.com/organization -H
        "Authorization: Bearer $qovery_token" '
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Token API are generated by Qovery to manage machine to machine
        interaction and do not have a TTL. Curl Example ' curl
        https://console.qovery.com/organization -H "Authorization: Token
        $qovery_token" '

````